Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQXmlLocator Class Reference
[XML module]

The TQXmlLocator class provides the XML handler classes with information about the parsing position within a file. More...

All the functions in this class are reentrant when TQt is built with thread support.

`#include <ntqxml.h>`

List of all member functions.

## Public Members

- TQXmlLocator ()
- virtual ~TQXmlLocator ()
- virtual int columnNumber () = 0
- virtual int lineNumber () = 0

## Detailed Description

The TQXmlLocator class provides the XML handler classes with information about the parsing position within a file.

The reader reports a TQXmlLocator to the content handler before it starts to parse the document. This is done with the TQXmlContentHandler::setDocumentLocator() function. The handler classes can now use this locator to get the position (lineNumber() and columnNumber()) that the reader has reached.

See also XML.

## Member Function Documentation

### TQXmlLocator::TQXmlLocator ()

Constructor.

### TQXmlLocator::~TQXmlLocator ()`[virtual]`

Destructor.

### int TQXmlLocator::columnNumber ()`[pure virtual]`

Returns the column number (starting at 1) or -1 if there is no column number available.

### int TQXmlLocator::lineNumber ()`[pure virtual]`

Returns the line number (starting at 1) or -1 if there is no line number available.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.